set whatToDo to "dec" (* can be "inc", "dec", "mute" *)


(* Get the current output volume (on a scale from 1 to 100) and convert it to a scale from 1 to 16 as seen when using the volume keys *)
set currentVolume to output volume of (get volume settings)
set scaledVolume to round (currentVolume / (100 / 16))

if (whatToDo contains "mute") then
	set volume with output muted
else
	if (whatToDo contains "inc") then
		(* Use this code to increase the volume by a certain interval *)
		set soundInterval to 1
		set scaledVolume to scaledVolume + soundInterval
		if (scaledVolume > 16) then
			set scaledVolume to 16
		end if
	else if (whatToDo contains "dec") then
		(* OR use this code to decrease the output volume by 1 *)
		set scaledVolume to scaledVolume - 1
		if (scaledVolume < 0) then
			set scaledVolume to 0
		end if
	else
		set scaledVolume to scaledVolume
	end if
	
	(* After using one of the above, the volume needs to be set to the new level (before which we must convert it back to the 1..100 scale) *)
	set newVolume to round (scaledVolume / 16 * 100)
	set volume output volume newVolume
	
end if